# WebSSH service unit

This is just a Systemd service unit for [WebSSH](https://github.com/huashengdun/webssh) web app.

Following the release of version 1.6.2, we now install it in an applicative container
[directly from PIP](https://github.com/huashengdun/webssh#quickstart).

### Files
* `webssh.service` is a Systemd units template for WebSSH.
#### Installation
* `install.sh` script copies the Systemd template to its destination, with the correct path (set in `variables.conf`).

### Note
For this service to be correctly accessed through reverse proxy, you need specific parameters. See
[official documentation](https://github.com/huashengdun/webssh#deployment).

### WARNING
* This manual install needs to be adjusted at each new major Python version upgrade:
  * In `install.sh`, the path should be adjusted (`python3.11` --> `python3.12`)
  * PIP package must be reinstalled, as packages are linked to Python version

### TODO
* RAS
